---
title: FontFace.family
slug: Web/API/FontFace/family
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - FontFace
  - Fonts
  - Property
  - Reference
  - family
---
<div>{{draft}}{{APIRef("CSS Font Loading API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <code><strong>FontFace.family</strong></code> property allows the author to get or set the font family of a {{domxref("FontFace")}} object. This is equivalent to the {{cssxref("@font-face/font-family", "font-family")}} descriptor of {{cssxref("@font-face")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>instanceOfFontFace</em>.family = 'font family name';
var fontFace = <em>instanceOfFontFace</em>.family; // "font family name"</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var fontFace = new FontFace('Roboto', 'url(https://fonts.example.com/roboto.woff2)');
console.log(fontFace.family); // 'Roboto'

fontFace.family = 'newRoboto';
console.log(fontFace.family); // 'newRoboto'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontface-family','family')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FontFace.family")}}</p>
</div>
